<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionSkinModule Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d20/a04686.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionSkinModule Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionSkinModule:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/d20/a04686.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a6ae68659a5a83c8ee11cfead1e02f2f5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#a6ae68659a5a83c8ee11cfead1e02f2f5">OnInit</a> ()</td></tr>
<tr class="separator:a6ae68659a5a83c8ee11cfead1e02f2f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1db9ba84957ed10762c53f720d42b0c9"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#a1db9ba84957ed10762c53f720d42b0c9">LoadClassSkins</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> folder, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> rootFolder)</td></tr>
<tr class="separator:a1db9ba84957ed10762c53f720d42b0c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a0e25a219a7096e8cd025b6e1fdf3cc"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#a8a0e25a219a7096e8cd025b6e1fdf3cc">LoadSkinsForObject</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> file, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> rootFolder)</td></tr>
<tr class="separator:a8a0e25a219a7096e8cd025b6e1fdf3cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade0704218805a333dc31ab2f8dbda65f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#ade0704218805a333dc31ab2f8dbda65f">GetConfigPath</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> classname)</td></tr>
<tr class="separator:ade0704218805a333dc31ab2f8dbda65f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfb8193ed909a421fc41532be55bc815"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#acfb8193ed909a421fc41532be55bc815">GetSkinIndex</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> classname, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> skin)</td></tr>
<tr class="separator:acfb8193ed909a421fc41532be55bc815"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d824aadac255561f987f7991a03669d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#a9d824aadac255561f987f7991a03669d">GetSkinName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> classname, int index)</td></tr>
<tr class="separator:a9d824aadac255561f987f7991a03669d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab062d344bd560ed94f89fa7a364a946f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#ab062d344bd560ed94f89fa7a364a946f">GetSkinName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> classname)</td></tr>
<tr class="separator:ab062d344bd560ed94f89fa7a364a946f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a314fb64f8e256122018dc6da98f2c12a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#a314fb64f8e256122018dc6da98f2c12a">RetrieveSkins</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> classname, out array&lt; <a class="el" href="../../d8/dca/a04670.html">ExpansionSkin</a> &gt; skinCopy, out <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> defaultSkin)</td></tr>
<tr class="separator:a314fb64f8e256122018dc6da98f2c12a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a595ab1a031b43a00e98ac11d21581161"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#a595ab1a031b43a00e98ac11d21581161">GetSkinBase</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> classname)</td></tr>
<tr class="separator:a595ab1a031b43a00e98ac11d21581161"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0095f760df2cc0513505733a6591ff2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d18/a04690.html">ExpansionSkins</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#aa0095f760df2cc0513505733a6591ff2">GetSkins</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> classname)</td></tr>
<tr class="separator:aa0095f760df2cc0513505733a6591ff2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a0c8b64aa10949b18c7de4a459bd888"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#a9a0c8b64aa10949b18c7de4a459bd888">HasSkins</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> classname)</td></tr>
<tr class="separator:a9a0c8b64aa10949b18c7de4a459bd888"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04e0babb0c5b1f50fdf9ff3f768d9b1f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#a04e0babb0c5b1f50fdf9ff3f768d9b1f">HasSkin</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> classname, int skinIndex)</td></tr>
<tr class="separator:a04e0babb0c5b1f50fdf9ff3f768d9b1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeae4a844d176ef9796b71da04c3e1908"><td class="memItemLeft" align="right" valign="top">map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, ref <a class="el" href="../../d8/d18/a04690.html">ExpansionSkins</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#aeae4a844d176ef9796b71da04c3e1908">GetAllSkins</a> ()</td></tr>
<tr class="separator:aeae4a844d176ef9796b71da04c3e1908"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a034c38b3472f7fe235fabf4f7bea265c"><td class="memItemLeft" align="right" valign="top">private autoptr map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, ref <a class="el" href="../../d8/d18/a04690.html">ExpansionSkins</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#a034c38b3472f7fe235fabf4f7bea265c">m_Skins</a> = new map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, ref <a class="el" href="../../d8/d18/a04690.html">ExpansionSkins</a> &gt;</td></tr>
<tr class="separator:a034c38b3472f7fe235fabf4f7bea265c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecf465b71823f7b27128c30064cd2bdd"><td class="memItemLeft" align="right" valign="top">private autoptr map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#aecf465b71823f7b27128c30064cd2bdd">m_SkinBase</a> = new map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;</td></tr>
<tr class="separator:aecf465b71823f7b27128c30064cd2bdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab891d7aac8eec52001d99a23bd08fc58"><td class="memItemLeft" align="right" valign="top">private autoptr map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d20/a04686.html#ab891d7aac8eec52001d99a23bd08fc58">m_SkinName</a> = new map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;</td></tr>
<tr class="separator:ab891d7aac8eec52001d99a23bd08fc58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../de/d9e/a01061.html">ExpansionSkinModule.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00014">14</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aeae4a844d176ef9796b71da04c3e1908" name="aeae4a844d176ef9796b71da04c3e1908"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeae4a844d176ef9796b71da04c3e1908">&#9670;&#160;</a></span>GetAllSkins()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, ref <a class="el" href="../../d8/d18/a04690.html">ExpansionSkins</a> &gt; ExpansionSkinModule::GetAllSkins </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00364">364</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="ade0704218805a333dc31ab2f8dbda65f" name="ade0704218805a333dc31ab2f8dbda65f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade0704218805a333dc31ab2f8dbda65f">&#9670;&#160;</a></span>GetConfigPath()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionSkinModule::GetConfigPath </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>classname</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00188">188</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="a595ab1a031b43a00e98ac11d21581161" name="a595ab1a031b43a00e98ac11d21581161"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a595ab1a031b43a00e98ac11d21581161">&#9670;&#160;</a></span>GetSkinBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionSkinModule::GetSkinBase </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>classname</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00325">325</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="acfb8193ed909a421fc41532be55bc815" name="acfb8193ed909a421fc41532be55bc815"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfb8193ed909a421fc41532be55bc815">&#9670;&#160;</a></span>GetSkinIndex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSkinModule::GetSkinIndex </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>classname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>skin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00216">216</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="ab062d344bd560ed94f89fa7a364a946f" name="ab062d344bd560ed94f89fa7a364a946f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab062d344bd560ed94f89fa7a364a946f">&#9670;&#160;</a></span>GetSkinName() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionSkinModule::GetSkinName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>classname</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00257">257</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="a9d824aadac255561f987f7991a03669d" name="a9d824aadac255561f987f7991a03669d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d824aadac255561f987f7991a03669d">&#9670;&#160;</a></span>GetSkinName() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionSkinModule::GetSkinName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>classname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00239">239</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="aa0095f760df2cc0513505733a6591ff2" name="aa0095f760df2cc0513505733a6591ff2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0095f760df2cc0513505733a6591ff2">&#9670;&#160;</a></span>GetSkins()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d18/a04690.html">ExpansionSkins</a> ExpansionSkinModule::GetSkins </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>classname</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00330">330</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="a04e0babb0c5b1f50fdf9ff3f768d9b1f" name="a04e0babb0c5b1f50fdf9ff3f768d9b1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04e0babb0c5b1f50fdf9ff3f768d9b1f">&#9670;&#160;</a></span>HasSkin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSkinModule::HasSkin </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>classname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>skinIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00352">352</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="a9a0c8b64aa10949b18c7de4a459bd888" name="a9a0c8b64aa10949b18c7de4a459bd888"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a0c8b64aa10949b18c7de4a459bd888">&#9670;&#160;</a></span>HasSkins()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSkinModule::HasSkins </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>classname</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00344">344</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="a1db9ba84957ed10762c53f720d42b0c9" name="a1db9ba84957ed10762c53f720d42b0c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1db9ba84957ed10762c53f720d42b0c9">&#9670;&#160;</a></span>LoadClassSkins()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionSkinModule::LoadClassSkins </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>folder</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>rootFolder</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00104">104</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="a8a0e25a219a7096e8cd025b6e1fdf3cc" name="a8a0e25a219a7096e8cd025b6e1fdf3cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a0e25a219a7096e8cd025b6e1fdf3cc">&#9670;&#160;</a></span>LoadSkinsForObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionSkinModule::LoadSkinsForObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>rootFolder</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Fuck off Workbench</p>

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00136">136</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="a6ae68659a5a83c8ee11cfead1e02f2f5" name="a6ae68659a5a83c8ee11cfead1e02f2f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ae68659a5a83c8ee11cfead1e02f2f5">&#9670;&#160;</a></span>OnInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSkinModule::OnInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00023">23</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="a314fb64f8e256122018dc6da98f2c12a" name="a314fb64f8e256122018dc6da98f2c12a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a314fb64f8e256122018dc6da98f2c12a">&#9670;&#160;</a></span>RetrieveSkins()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSkinModule::RetrieveSkins </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>classname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out array&lt; <a class="el" href="../../d8/dca/a04670.html">ExpansionSkin</a> &gt;&#160;</td>
          <td class="paramname"><em>skinCopy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>defaultSkin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >If it exists, use skinBase instead of given classname (so when spawning &lt;thing&gt;_&lt;skinname&gt;, it has the correct skin)</p>
<p >If it exists, use skinName instead of default skin (so when spawning &lt;thing&gt;_&lt;skinname&gt;, it has the correct skin)</p>

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00268">268</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aecf465b71823f7b27128c30064cd2bdd" name="aecf465b71823f7b27128c30064cd2bdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecf465b71823f7b27128c30064cd2bdd">&#9670;&#160;</a></span>m_SkinBase</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private autoptr map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt; ExpansionSkinModule::m_SkinBase = new map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00017">17</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="ab891d7aac8eec52001d99a23bd08fc58" name="ab891d7aac8eec52001d99a23bd08fc58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab891d7aac8eec52001d99a23bd08fc58">&#9670;&#160;</a></span>m_SkinName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private autoptr map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt; ExpansionSkinModule::m_SkinName = new map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00018">18</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<a id="a034c38b3472f7fe235fabf4f7bea265c" name="a034c38b3472f7fe235fabf4f7bea265c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a034c38b3472f7fe235fabf4f7bea265c">&#9670;&#160;</a></span>m_Skins</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private autoptr map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, ref <a class="el" href="../../d8/d18/a04690.html">ExpansionSkins</a> &gt; ExpansionSkinModule::m_Skins = new map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, ref <a class="el" href="../../d8/d18/a04690.html">ExpansionSkins</a> &gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d9e/a01061_source.html#l00016">16</a> of file <a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/systems/skins/<a class="el" href="../../de/d9e/a01061_source.html">expansionskinmodule.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d20/a04686.html">ExpansionSkinModule</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
